Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
anhcos

Lỗi khi Set ActiveLayout ?

Các bài được khuyến nghị

anhcos    177

Giả sử rằng Layout1 có trong bản vẽ

 

Khi lập trình bằng VBA hoặc VB.NET sử dụng Early binding:

 

Câu lệnh sau chạy rất tốt

Dim lay1 as AcadLayout

lay1 = ThisDrawing.Layouts.Item("Layout1")

ThisDrawing.ActiveLayout = lay1

 

Cũng dùng ngôn ngữ trên mà dùng Late binding thì lại báo lỗi

Dim AcadApp as Object = GetObject(,"AutoCAD.Application")

Dim lay1 as Object

lay1 = AcadApp.ActiveDocument.Layouts.Item("Layout1")

AcadApp.ActiveDocument.ActiveLayout = lay1 '<-- lỗi ở đây

 

Nội dung lỗi là "Member not found"

 

Có ai có thể giúp đỡ tôi về lỗi này không?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phantuhuong    204
Giả sử rằng Layout1 có trong bản vẽ

 

Khi lập trình bằng VBA hoặc VB.NET sử dụng Early binding:

 

Câu lệnh sau chạy rất tốt

Dim lay1 as AcadLayout

lay1 = ThisDrawing.Layouts.Item("Layout1")

ThisDrawing.ActiveLayout = lay1

 

Cũng dùng ngôn ngữ trên mà dùng Late binding thì lại báo lỗi

Dim AcadApp as Object = GetObject(,"AutoCAD.Application")

Dim lay1 as Object

lay1 = AcadApp.ActiveDocument.Layouts.Item("Layout1")

AcadApp.ActiveDocument.ActiveLayout = lay1 '<-- lỗi ở đây

 

Nội dung lỗi là "Member not found"

 

Có ai có thể giúp đỡ tôi về lỗi này không?

 

 

Bạn đã test lại bằng VBA chưa? Lỗi này trong VB.NET mà

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
anhcos    177

Mình chưa test với VBA, lỗi này xảy ra với VB.NET.

 

Ngoài ra một số hàm khác cũng xảy ra tương tự.

VD:

hàm RemoveItems của đối tượng SelectionSet và hàm AddRegion của đối tượng MSpace/PSpace

đều không thể truyền tham số vào cho hàm được. Tham số này là một mảng các thực thể CAD.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×